作者 主題: 我的proftp裝不起來  (閱讀 2245 次)

0 會員 與 1 訪客 正在閱讀本文。

Ireul

  • 懷疑的國中生
  • **
  • 文章數: 35
    • 檢視個人資料
我的proftp裝不起來
« 於: 2006-06-04 18:15 »
不好意思想請教一個笨問題
小弟我下載了很多個版本的proftp
但是都遇到一個相同的問題
當我執行
rpm -ivh proftpd-standalone-1.2.8rc2-1.i386.rpm
都會出現
error: Failed dependencies:
proftpd is needed by proftpd-standalone-1.2.8rc2-1.i386
可是我下載的時候就只有一個檔案阿
為啥他會跟我要proftpd-standalone-1.2.8rc2-1.i386

patrick

  • 可愛的小學生
  • *
  • 文章數: 17
    • 檢視個人資料
    • http://www.sohoweb.idv.tw/
Re: 我的proftp裝不起來
« 回覆 #1 於: 2006-06-04 22:10 »
引述: "Ireul"
不好意思想請教一個笨問題
小弟我下載了很多個版本的proftp
但是都遇到一個相同的問題
當我執行
rpm -ivh proftpd-standalone-1.2.8rc2-1.i386.rpm
都會出現
error: Failed dependencies:
proftpd is needed by proftpd-standalone-1.2.8rc2-1.i386
可是我下載的時候就只有一個檔案阿
為啥他會跟我要proftpd-standalone-1.2.8rc2-1.i386


您還需要 proftpd-1.2.8rc2-1.i386.rpm 這個檔案!

allnewlinux

  • 俺是博士!
  • *****
  • 文章數: 1455
    • 檢視個人資料
我的proftp裝不起來
« 回覆 #2 於: 2006-06-04 22:19 »
給你1個網址~去找找吧~當初我是安裝OS的時候就有點要安裝proftpd所以沒你這問題..

http://rpm.pbone.net/

你可以選進階搜尋~這樣你可以指定要查可以用在那一套OS的xxx rpm檔

fz150n

  • 憂鬱的高中生
  • ***
  • 文章數: 111
    • 檢視個人資料
我的proftp裝不起來
« 回覆 #3 於: 2006-06-04 22:19 »
先檢查一下:

rpm -qa | grep proftpd

如果已經存在的話,先移除再裝吧?

rpm -e XXXX.rpm

不然直接改用

rpm -Uvh xxx.rpm

依你的情形,用

rpm -Uvh xxx.rpm --nodeps

應該也ok了。

如果只是不確定你到底裝了沒,或想看看他裝到哪裡去,用:

rpm -ql xxx-xxx